import { Utils } from "./Utils";
export declare type EventListener<T, A> = Utils.Callback<T, A, void>;
export declare type EventListenerRecord<T, A> = [EventListener<T, A>, boolean];
export declare class EventEmitter<E extends object = any> {
    constructor();
    private _listenerMap;
    on<T extends keyof E>(event: T, listener: EventListener<this, E[T]>, once?: boolean): this;
    off<T extends keyof E>(event: T, listener: EventListener<this, E[T]>, once?: boolean): this;
    once<T extends keyof E>(event: T, listener: EventListener<this, E[T]>): this;
    emit<T extends keyof E>(event: T, ...args: Utils.ToArray<E[T]>): boolean;
    clearEvent<T extends keyof E>(event: T): this;
    clearEvents(): this;
}
