import { Vector, VectorLike } from "../geometry/Vector";
export declare type CameraOptions = Partial<{
    position: Vector;
    scale: Vector;
    rotation: number;
}>;
export declare class Camera implements Required<CameraOptions> {
    static defaults: CameraOptions;
    constructor(options?: Readonly<CameraOptions>);
    position: Vector;
    scale: Vector;
    rotation: number;
    applyTo(context: CanvasRenderingContext2D): void;
    restore(context: CanvasRenderingContext2D): void;
    toViewPosition(position: VectorLike): Vector;
    toGlobalPosition(position: VectorLike): Vector;
}
