import { Renderer } from "../renderer/Renderer";
import { Paragraph } from "../graph/Paragraph";
import { Utils } from "../common/Utils";
import { Engine } from "./Engine";
import { RenderingStyle } from "../graph/Style";
export declare type InspectorCallback = Utils.Callback<void, Engine, string>;
export declare type InspectorOptions = Partial<{
    paragraph: Paragraph;
    callbacks: InspectorCallback[];
    boundsStroke: RenderingStyle | null;
    boundsStrokeWidth: number;
    velocityStroke: RenderingStyle | null;
    velocityStrokeWidth: number;
    velocityStrokeScale: number;
}>;
export declare class Inspector implements Required<InspectorOptions> {
    static defaults: InspectorOptions;
    constructor(options?: Readonly<InspectorOptions>);
    readonly paragraph: Paragraph;
    callbacks: InspectorCallback[];
    boundsStroke: RenderingStyle | null;
    boundsStrokeWidth: number;
    private _objects?;
    private _camera;
    velocityStroke: RenderingStyle | null;
    velocityStrokeWidth: number;
    velocityStrokeScale: number;
    update(engine: Engine): void;
    render(renderer: Renderer): void;
}
