import { Renderable } from "../renderer/Renderer";
import { Vector, VectorLike } from "../geometry/Vector";
import { Shape, ShapeOptions } from "./Shape";
export declare type CircleOptions = Omit<ShapeOptions, 'isCircle'>;
export declare class Circle extends Shape implements Required<CircleOptions>, Renderable {
    static defaults: CircleOptions;
    constructor(options?: Readonly<CircleOptions>);
    readonly isCircle = true;
    radius: number;
    updateRadius(radius?: number): void;
    updateBounds(): void;
    getClosest(target: VectorLike): Vector;
    project(direction: Vector): {
        min: number;
        max: number;
    };
    path(context: CanvasRenderingContext2D): void;
}
