import { Renderable, RendererLike } from "../renderer/Renderer";
import { Vector } from "../geometry/Vector";
import { SceneObject } from "../core/Scene";
import { RenderingStyle } from "./Style";
export declare type LayerOptions = Partial<{
    active: boolean;
    offset: Vector;
    width: number;
    height: number;
    ratio: number;
    origin: Vector;
    background: RenderingStyle | null;
    objects: SceneObject[];
}>;
export declare class Layer implements Required<LayerOptions>, Renderable, RendererLike {
    static defaults: LayerOptions;
    constructor(options?: Readonly<LayerOptions>);
    readonly canvas: HTMLCanvasElement;
    readonly context: CanvasRenderingContext2D;
    readonly width: number;
    readonly height: number;
    readonly ratio: number;
    readonly originX: number;
    readonly originY: number;
    active: boolean;
    offset: Vector;
    origin: Vector;
    background: RenderingStyle | null;
    objects: SceneObject[];
    expired: boolean;
    resize(width: number, height: number, ratio?: number): void;
    cache(immediate?: boolean): void;
    fill(color: RenderingStyle | null): void;
    update(timeScale: number): void;
    render(renderer: RendererLike): void;
}
