import { Renderable } from "../renderer/Renderer";
import { Vector, VectorLike } from "../geometry/Vector";
import { Shape, ShapeOptions } from "./Shape";
export declare type LineOptions = ShapeOptions & Partial<{
    start: Vector;
    end: Vector;
}>;
export declare class Line extends Shape implements Required<LineOptions>, Renderable {
    static defaults: LineOptions;
    constructor(options?: Readonly<LineOptions>);
    readonly start: Vector;
    readonly end: Vector;
    protected _scale(scaleX: number, scaleY: number, origin?: VectorLike): void;
    protected _rotate(rotation: number, origin?: VectorLike): void;
    updateVertices(start?: Vector, end?: Vector): void;
    updateBounds(): void;
    getClosest(target: VectorLike): Vector;
    project(direction: Vector): {
        min: number;
        max: number;
    };
    path(context: CanvasRenderingContext2D): void;
}
