import { Renderable, RendererLike } from "../renderer/Renderer";
import { Vector } from "../geometry/Vector";
import { TextStyle } from "./Text";
export declare type ParagraphOptions = Partial<{
    visible: boolean;
    lines: string[];
    lineHeight: number;
    indent: number;
    fillFirst: boolean;
    preferShadow: boolean;
    position: Vector;
    rotation: number;
    style: Partial<TextStyle>;
}>;
export declare class Paragraph implements Required<ParagraphOptions>, Renderable {
    static defaults: ParagraphOptions;
    static defaultStyle: TextStyle;
    constructor(options?: Readonly<ParagraphOptions>);
    visible: boolean;
    lines: string[];
    lineHeight: number;
    indent: number;
    fillFirst: boolean;
    preferShadow: boolean;
    position: Vector;
    rotation: number;
    style: TextStyle;
    render(renderer: RendererLike): void;
}
