import { Renderable } from "../renderer/Renderer";
import { Vector, VectorLike } from "../geometry/Vector";
import { Shape, ShapeOptions } from "./Shape";
export declare type PolygonOptions = ShapeOptions & Partial<{
    vertices: ReadonlyArray<Vector>;
    clockwise: boolean;
    adjustment: boolean;
}>;
export declare class Polygon extends Shape implements Required<PolygonOptions>, Renderable {
    static defaults: PolygonOptions;
    constructor(options?: Readonly<PolygonOptions>);
    vertices: ReadonlyArray<Vector>;
    clockwise: boolean;
    adjustment: boolean;
    updateVertices(vertices?: ReadonlyArray<Vector>): this;
    protected _scale(scaleX: number, scaleY: number, origin?: VectorLike): void;
    protected _rotate(rotation: number, origin?: VectorLike): void;
    updateBounds(): void;
    getClosest(target: VectorLike): Vector;
    project(direction: Vector): {
        min: number;
        max: number;
    };
    path(context: CanvasRenderingContext2D): void;
}
