import { Renderable } from "../renderer/Renderer";
import { Vector, VectorLike } from "../geometry/Vector";
import { Shape, ShapeOptions } from "./Shape";
export declare type RectangleOptions = ShapeOptions & Partial<{
    width: number;
    height: number;
    radius: number;
}>;
export declare class Rectangle extends Shape implements Required<RectangleOptions>, Renderable {
    static defaults: RectangleOptions;
    constructor(options?: Readonly<RectangleOptions>);
    width: number;
    height: number;
    radius: number;
    protected _scale(scaleX: number, scaleY: number, origin?: VectorLike): void;
    protected _rotate(rotation: number, origin?: VectorLike): void;
    updateSize(width: number, height: number): void;
    updateSize(): void;
    updateBounds(): void;
    getClosest(target: VectorLike): Vector;
    project(direction: Vector): {
        min: number;
        max: number;
    };
    path(context: CanvasRenderingContext2D): void;
}
