import { RendererLike } from "../renderer/Renderer";
export declare type RenderingStyle = string | CanvasGradient | CanvasPattern;
export declare type CommonStyle = CanvasShadowStyles & {
    opacity: number;
};
export interface StrokeStyle {
    strokeStyle: RenderingStyle | null;
    lineWidth: number;
    lineCap: CanvasLineCap;
    lineJoin: CanvasLineJoin;
    miterLimit: number;
    lineDash: number[] | null;
    lineDashOffset: number;
}
export interface FillStyle {
    fillStyle: RenderingStyle | null;
}
export interface SubStyleObject<T> {
    defaults: T;
    apply(renderer: RendererLike, style: T): void;
}
export declare type StyleObject = Readonly<{
    Common: SubStyleObject<CommonStyle>;
    Stroke: SubStyleObject<StrokeStyle>;
    Fill: SubStyleObject<FillStyle>;
}>;
export declare const Style: StyleObject;
