import { Renderable, RendererLike } from "../renderer/Renderer";
import { Vector } from "../geometry/Vector";
import { ShapeStyle } from "./Shape";
export declare type TextStyle = ShapeStyle & CanvasTextDrawingStyles;
export declare type TextOptions = Partial<{
    visible: boolean;
    content: string;
    fillFirst: boolean;
    preferShadow: boolean;
    position: Vector;
    rotation: number;
    style: Partial<TextStyle>;
}>;
export declare class Text implements Required<TextOptions>, Renderable {
    static defaults: TextOptions;
    static defaultStyle: TextStyle;
    static applyStyle(renderer: RendererLike, textStyle: TextStyle): void;
    constructor(options?: Readonly<TextOptions>);
    visible: boolean;
    content: string;
    fillFirst: boolean;
    preferShadow: boolean;
    position: Vector;
    rotation: number;
    style: TextStyle;
    render(renderer: RendererLike): void;
}
