import { Body, BodyLike } from "./Body";
import { Vector } from "../geometry/Vector";
export declare type CollisionResult = Readonly<{
    overlap: number;
    overlapVector: Vector;
}>;
export declare type CollisionInfo = CollisionResult & Readonly<{
    body1: Body;
    body2: Body;
    edgeVector: Vector | null;
    relativeVelocity: Vector;
}>;
export declare type CollisionChecker = (body1: BodyLike, body2: BodyLike) => CollisionResult | null;
export declare type CollisionObject = Readonly<{
    check(bodies: Body[], checker: CollisionChecker): void;
    find(bodies: Body[], checker: CollisionChecker): CollisionInfo[];
    Checker: Readonly<{
        AABB: CollisionChecker;
        SAT: CollisionChecker;
        Distance: CollisionChecker;
        Smart: CollisionChecker;
    }>;
}>;
export declare const Collision: CollisionObject;
