import { Renderable, RendererLike } from "../renderer/Renderer";
import { Vector } from "../geometry/Vector";
import { Body } from "./Body";
import { StrokeStyle, CommonStyle } from "../graph/Style";
export declare type ConstraintStyle = CommonStyle & StrokeStyle;
export declare type ConstraintOptions = Partial<{
    origin: Vector | Body | null;
    originOffset: Vector;
    target: Body | null;
    targetOffset: Vector;
    force: boolean;
    defer: boolean;
    minLength: number;
    maxLength: number;
    length: number;
    elasticity: number;
    stiffness: number;
    style: Partial<ConstraintStyle>;
}>;
export declare class Constraint implements Required<ConstraintOptions>, Renderable {
    static defaults: ConstraintOptions;
    static defaultStyle: ConstraintStyle;
    constructor(options?: Readonly<ConstraintOptions>);
    defer: boolean;
    origin: Vector | Body | null;
    originOffset: Vector;
    target: Body | null;
    targetOffset: Vector;
    minLength: number;
    maxLength: number;
    elasticity: number;
    stiffness: number;
    force: boolean;
    style: ConstraintStyle;
    length: number;
    update(timeScale: number): void;
    render(renderer: RendererLike): void;
}
