export declare type SizingResult = Readonly<{
    width: number;
    height: number;
    styleWidth: number;
    styleHeight: number;
    left: number;
    top: number;
    scale: number;
}>;
export declare type SizingFunction = (innerWidth: number, innerHeight: number, outerWidth: number, outerHeight: number, margin: number) => SizingResult;
export interface SizingObject {
    readonly Full: SizingFunction;
    readonly Center: SizingFunction;
    readonly Fit: SizingFunction;
    readonly FixedWidth: SizingFunction;
    readonly FixedHeight: SizingFunction;
    readonly Fixed: SizingFunction;
}
export declare const Sizing: SizingObject;
