export declare type TimingFunction = (x: number) => number;
export declare const Timing: {
    readonly linear: TimingFunction;
    readonly cubic: {
        (x1: number, y1: number, x2: number, y2: number): TimingFunction;
        accuracy: number;
    };
    readonly ease: TimingFunction;
    readonly easeIn: TimingFunction;
    readonly easeOut: TimingFunction;
    readonly easeInOut: TimingFunction;
    readonly steps: (stepCount: number, start?: boolean | undefined) => TimingFunction;
};
