import { EventEmitter } from "../common/EventEmitter";
import { TimingFunction } from "./Timing";
import { SceneEffect } from "../core/Scene";
export declare type TransitionOptions<T extends object = any> = Partial<{
    active: boolean;
    from: number;
    to: number;
    duration: number;
    delay: number;
    loop: boolean;
    timing: TimingFunction;
    target: T | null;
    key: keyof T;
}>;
export interface TransitionEvents {
    start: [];
    update: number;
    end: [];
}
export declare class Transition<T extends object = any> extends EventEmitter<TransitionEvents> implements Required<TransitionOptions>, SceneEffect {
    static defaults: TransitionOptions;
    constructor(options?: Readonly<TransitionOptions<T>>);
    active: boolean;
    from: number;
    to: number;
    duration: number;
    delay: number;
    loop: boolean;
    timing: TimingFunction;
    target: T | null;
    key: keyof T;
    private _startTime;
    private _pauseTime;
    private _delay;
    start(): void;
    update(): void;
    pause(): void;
    resume(): void;
    finish(): void;
}
